Skip to main content

Update a vehicle type

PATCH 

/v1/vehicle-types/:id

Updates vehicle type configuration including icons, capacity, availability, and driver app settings

Request

Path Parameters

    id stringrequired

    Vehicle Type ID

Body

required
    name string

    Name of the vehicle type which will be shown in the app.

    iconOnMap string

    Icon on map. Must be a cloudfront URL.

    iconOnApp string

    Icon on app. Must be a cloudfront URL.

    iconOnWeb string

    Icon on web. Must be a cloudfront URL.

    passengers number

    Possible values: >= 1

    Maximum number of passengers. Default is 1.

    luggage number

    Maximum number of luggage. Default is 0.

    description string

    Short description of the vehicle type.

Responses

Vehicle type updated successfully

Schema
    _id stringrequired

    The ID of the vehicle type

    name stringrequired

    The name of the vehicle type

    iconOnMap stringrequired

    The icon on map of the vehicle type

    iconOnApp stringrequired

    The icon on app of the vehicle type

    iconOnWeb stringrequired

    The icon on web of the vehicle type

    passengers numberrequired

    The passengers of the vehicle type

    luggage numberrequired

    The luggage of the vehicle type

    description stringrequired

    The description of the vehicle type

    createdDate date-timerequired

    The created date of the vehicle type

    latestUpdate date-timerequired

    The latest update date of the vehicle type

Loading...